import { BaseAPI, ClientOptions } from '../lib/runtime.js';
import { AddClientAuthenticationPayload } from './client-authentication.js';
import type { Headers } from 'node-fetch';
export interface AuthenticationClientOptions extends ClientOptions {
    domain: string;
    clientId: string;
    clientSecret?: string;
    clientAssertionSigningKey?: string;
    clientAssertionSigningAlg?: string;
    idTokenSigningAlg?: string;
    clockTolerance?: number;
}
export declare class AuthApiError extends Error {
    error: string;
    error_description: string;
    statusCode: number;
    body: string;
    headers: Headers;
    name: "AuthApiError";
    constructor(error: string, error_description: string, statusCode: number, body: string, headers: Headers);
}
export declare class BaseAuthAPI extends BaseAPI {
    domain: string;
    clientId: string;
    clientSecret?: string;
    clientAssertionSigningKey?: string;
    clientAssertionSigningAlg?: string;
    constructor(options: AuthenticationClientOptions);
    /**
     * @private
     */
    protected addClientAuthentication(payload: AddClientAuthenticationPayload, required: boolean): Promise<AddClientAuthenticationPayload>;
}
